package cn.kdan.cloud.pdf.office.account.controller;

import cn.kdan.cloud.pdf.office.account.constant.UserConstant;
import cn.kdan.cloud.pdf.office.account.model.LoginDevice;
import cn.kdan.cloud.pdf.office.account.service.LoginDeviceService;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("loginDevice")
public class LoginDeviceController {

    @Autowired
    private LoginDeviceService loginDeviceService;


    /**
     * 记录登录设备
     * @param loginDevice
     * @return
     */
    @PostMapping("create")
    public ResultMap<Boolean> create(@RequestBody LoginDevice loginDevice) {
        loginDeviceService.create(loginDevice);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, Boolean.TRUE);
    }

    /**
     * 获取用户的设备登录情况
     * @param userId
     * @return
     */
    @GetMapping("getByUserId")
    public ResultMap<List<LoginDevice>> getByUserId(@RequestParam("userId") String userId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,loginDeviceService.getByUserId(userId));
    }

    @GetMapping("getByDeviceSignAndAppId")
    public ResultMap<LoginDevice> getByDeviceSignAndAppId(@RequestParam("deviceSign") String deviceSign,@RequestParam("userId") String userId) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,loginDeviceService.getByDeviceSignAndAppId(deviceSign,userId));
    }


    /**
     * 删除登录设备记录
     * @param deviceSign
     * @param appId
     * @return
     */
    @PostMapping("delete")
    public ResultMap<Boolean> delete(@RequestParam("deviceSign") String deviceSign,@RequestParam("userId") String userId) {
        loginDeviceService.delete(deviceSign,userId);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,Boolean.TRUE);
    }


}
