package cn.kdan.cloud.pdf.office.account.service;

import cn.kdan.cloud.pdf.office.account.model.LoginDevice;

import java.util.List;

/**
 * 登录设备服务
 * @author tangxiangan
 */
public interface LoginDeviceService {
    /**
     * 插入登录设备信息
     *
     * @param loginDevice 登录设备
     */
    void create (LoginDevice loginDevice);

    /**
     * 获取用户某个产品的设备登录情况
     * @param userId 用户id
     * @return
     */
    List<LoginDevice> getByUserId(String userId);

    /**
     * 删除登录设备记录
     *
     * @param deviceSign 设备码
     * @param userId userId
     */
    void delete(String deviceSign, String userId);

    /**
     * 判断该设备是否已经登录该账号
     *
     * @param deviceSign 设备id
     * @param userId userId
     * @return LoginDevice
     */
    LoginDevice getByDeviceSignAndAppId(String deviceSign, String userId);
}
