package cn.kdan.cloud.pdf.office.account.service;

import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfo;

import java.util.List;

/**
 * 用户的会员服务
 * @author tangxiangan
 */
public interface UserSubscriptionInfoService {

    /**
     * 获取用户的会员情况
     *
     * @param userId 用户id
     * @return
     */
    List<UserSubscriptionInfo> listByUserId(String userId);

    /**
     * 获取用户在某一个平台的会员情况
     *
     * @param userId 用户id
     * @param platform 平台
     * @return UserSubscriptionInfo
     */
    UserSubscriptionInfo getByUserIdAndPlatform(String userId, Integer platform);

    /**
     * 插入用户会员信息
     *
     * @param userSubscriptionInfo userSubscriptionInfo
     */
    void insert(UserSubscriptionInfo userSubscriptionInfo);

    /**
     * 更新用户会员信息
     *
     * @param userSubscriptionInfo userSubscriptionInfo
     */
    void update(UserSubscriptionInfo userSubscriptionInfo);
}
