package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.mapper.LoginDeviceMapper;
import cn.kdan.cloud.pdf.office.account.model.LoginDevice;
import cn.kdan.cloud.pdf.office.account.model.LoginDeviceExample;
import cn.kdan.cloud.pdf.office.account.service.LoginDeviceService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangxiangan
 */
@Service
public class LoginDeviceServiceImpl implements LoginDeviceService {

    @Resource
    private LoginDeviceMapper loginDeviceMapper;

    @Override
    public void create(LoginDevice loginDevice) {
        loginDeviceMapper.insert(loginDevice);
    }


    @Override
    public List<LoginDevice> getByUserId(String userId) {
        LoginDeviceExample example = new LoginDeviceExample();
        example.createCriteria().andUserIdEqualTo(userId);
        return loginDeviceMapper.selectByExample(example);
    }

    @Override
    public void delete(String deviceSign,String userId) {
        LoginDeviceExample example = new LoginDeviceExample();
        example.createCriteria().andUniqueSnEqualTo(deviceSign).andUserIdEqualTo(userId);
        loginDeviceMapper.deleteByExample(example);
    }

    @Override
    public LoginDevice getByDeviceSignAndAppId(String deviceSign, String userId) {
        LoginDeviceExample example = new LoginDeviceExample();
        example.createCriteria().andUniqueSnEqualTo(deviceSign).andUserIdEqualTo(userId);
        List<LoginDevice> list = loginDeviceMapper.selectByExample(example);
        if(CollectionUtils.isEmpty(list)){
            return null;
        }
        return list.get(0);
    }

}
