package cn.kdan.cloud.pdf.office.account.service.impl;

import cn.kdan.cloud.pdf.office.account.mapper.UserSubscriptionInfoMapper;
import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfo;
import cn.kdan.cloud.pdf.office.account.model.UserSubscriptionInfoExample;
import cn.kdan.cloud.pdf.office.account.service.UserSubscriptionInfoService;
import com.alibaba.nacos.common.utils.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangxiangan
 */
@Service
public class UserSubscriptionInfoServiceImpl implements UserSubscriptionInfoService {

    @Resource
    private UserSubscriptionInfoMapper userSubscriptionInfoMapper;


    @Override
    public List<UserSubscriptionInfo> listByUserId(String userId) {
        UserSubscriptionInfoExample example = new UserSubscriptionInfoExample();
        example.createCriteria().andUserIdEqualTo(userId);
        return userSubscriptionInfoMapper.selectByExample(example);
    }

    @Override
    public UserSubscriptionInfo getByUserIdAndPlatform(String userId, Integer platform) {
        UserSubscriptionInfoExample example = new UserSubscriptionInfoExample();
        example.createCriteria().andUserIdEqualTo(userId).andPlatformEqualTo(platform);
        List<UserSubscriptionInfo> list = userSubscriptionInfoMapper.selectByExample(example);
        return CollectionUtils.isNotEmpty(list) ? list.get(0): null;
    }

    @Override
    public void insert(UserSubscriptionInfo userSubscriptionInfo) {
        userSubscriptionInfoMapper.insert(userSubscriptionInfo);
    }

    @Override
    public void update(UserSubscriptionInfo userSubscriptionInfo) {
        userSubscriptionInfoMapper.updateByPrimaryKeySelective(userSubscriptionInfo);
    }
}
