package cn.kdan.cloud.pdf.office.api.account.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.account.feign.LoginDeviceApi;
import cn.kdan.cloud.pdf.office.api.account.vo.LoginDevice;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author tangxiangan
 */
@Service
public class LoginDeviceApiHystrix implements LoginDeviceApi {

    @Override
    public ResultMap<Boolean> create(LoginDevice loginDevice) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<Boolean> delete(String deviceSign, String appId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<List<LoginDevice>> getByUserId(String userId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<LoginDevice> getByDeviceSignAndAppId(String deviceSign, String appId) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
