package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.enums.PaymentMethodEnum;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/29
 * <p>
 * 创建订单DTO
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CreatOrderDTO {
    /**
     * app ID
     */
    @NotNull(message = "appId 不能为空")
    private String appId;
    /**
     * 产品ID
     */
    @NotNull(message = "产品id 不能为空")
    private String productId;
    /**
     * 支付方式
     */
    @NotNull(message = "paymentMethod 不能为空")
    private PaymentMethodEnum paymentMethod;
    /**
     * 邮箱
     */
    private String email;
    /**
     * userId
     */
    @NotNull(message = "用户id 不能为空")
    private String userId;
    /**
     * 客户地区
     */
    private String customerCountry;
    /**
     * 优惠卷
     */
    private String couponCode;
//    /**
//     * 折扣
//     */
//    private BigDecimal discount;
//    /**
//     * 最终价格
//     */
//    private BigDecimal finalPrice;

}
