package cn.kdan.cloud.pdf.office.api.payment.feign.hystrix;


import cn.kdan.cloud.pdf.office.api.payment.dto.CreatSubscriptionDTO;
import cn.kdan.cloud.pdf.office.api.payment.dto.CreatSubscriptionManualDTO;
import cn.kdan.cloud.pdf.office.api.payment.feign.SubscriptionApi;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionSchemeVO;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionsVO;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import org.springframework.stereotype.Service;

import javax.validation.constraints.NotNull;

@Service
public class SubscriptionHystrix implements SubscriptionApi {

    @Override
    public ResultMap<String> creatSubscription(CreatSubscriptionDTO subscriptionInfo) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<SubscriptionsVO> getSubscriptions(@NotNull(message = "userId 不能为空") String userId, @NotNull(message = "platform 不能为空") Integer platform) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<String> giveSubscriptionManual(CreatSubscriptionManualDTO subscriptionManual) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }

    @Override
    public ResultMap<SubscriptionSchemeVO> getSubscriptionSchemeInfo(@NotNull(message = "用户id不能为空") String userId, @NotNull(message = "platform不能为空") Integer platform) {
        return new ResultMap<>(CommonConstant.ERROR, CommonConstant.RESULT_ERROR_SERVICE_NOT_AVAILABLE);
    }
}
