package cn.kdan.cloud.pdf.office.common.enums;

public enum EmailCodeTypeEnum {
    /**
     * 登录
     */
    LOGIN("login","邮箱验证码登录","邮箱验证码登录",""),
    /**
     * 注册
     */
    USER_REGISTER("user_register","注册验证码","注册验证码",""),
    /**
     * 重置密码验证码
     */
    USER_RESET_PASSWORD("user_reset_password","重置密码验证码","重置密码验证码",""),
    /**
     * 用户注销
     */
    USER_LOG_OFF("user_log_off","注销验证码","注销验证码","");


    private final String value;
    private final String action;

    private final String subject;

    private final String text;

    public String subject() {
        return subject;
    }

    public String text() {
        return text;
    }

    EmailCodeTypeEnum(String value, String action, String subject, String text) {
        this.value = value;
        this.action = action;
        this.subject = subject;
        this.text = text;
    }

    public static EmailCodeTypeEnum getEnumByValue(String value) {
        for (EmailCodeTypeEnum modeEnum : EmailCodeTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public String value() {
        return value;
    }

    public String action() {
        return action;
    }

}
