package cn.kdan.cloud.pdf.office.payment.mapper;

import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionsVO;
import cn.kdan.cloud.pdf.office.payment.entity.Subscription;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author ComPDFKit-WPH 2023-01-28
 */
public interface SubscriptionsMapper extends BaseMapper<Subscription> {

    /**
     * 通过用户id和产品id 获取最新的订阅信息
     *
     * @param userId   userId
     * @param platform platform
     * @return Subscriptions
     */
    SubscriptionsVO selectNewestSubscription(@Param("userId") String userId,
                                             @Param("platform") Integer platform);


    SubscriptionsVO selectBySubscriptionId(@Param("subscriptionId") String subscriptionId);

    SubscriptionsVO selectNewestSubscriptionByProductId(@Param("userId") String userId,
                                                        @Param("productId") String productId);
}
