package cn.kdan.cloud.pdf.office.payment;

import cn.kdan.cloud.pdf.office.api.payment.bo.GeneratePayLinkPaddleBO;
import cn.kdan.cloud.pdf.office.api.payment.dto.CreatOrderDTO;
import cn.kdan.cloud.pdf.office.api.payment.enums.PaymentMethodEnum;
import cn.kdan.cloud.pdf.office.payment.client.PaddleClient;
import cn.kdan.cloud.pdf.office.payment.service.OrdersService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@SpringBootTest
public class PaddleTest {

    @Autowired
    private PaddleClient paddleClient;
    @Autowired
    private OrdersService ordersService;

    @Test
    public void creatS() {
        GeneratePayLinkPaddleBO generatePayLinkPaddleBO = new GeneratePayLinkPaddleBO();
        generatePayLinkPaddleBO.setProductId("38247");
        List<String> priceList = new ArrayList<>();
        priceList.add("USD:" + "1.00");
        priceList.add("EUR:" + "2.00");
        generatePayLinkPaddleBO.setPrices(new String[]{"USD:" + "1.00"});
        System.out.println(paddleClient.creatSubscriptions(generatePayLinkPaddleBO));
    }

    @Test
    public void creatOrder() {
        CreatOrderDTO creatOrderDTO = CreatOrderDTO.builder()
                .appId("1231233123")
                .productId("1")
                .userId("231232221")
                .paymentMethod(PaymentMethodEnum.PADDLE)
                .build();
        System.out.println(ordersService.creatOrder(creatOrderDTO));
    }


//    @Test
//    public void getSInfo(){
//        CreatSubscriptionsResultPaypalBO subscriptionInfo = paypalClient.getSubscriptionInfo("I-S8EXDUY8BYLF");
//        System.out.println(JsonUtils.getJsonString(subscriptionInfo));
//    }
//
//    public static void main(String[] args) {
//        GeneratePayLinkPaddleBO generatePayLinkPaddleBO = new GeneratePayLinkPaddleBO();
//        generatePayLinkPaddleBO.setDiscountable(true);
//        System.out.println(generatePayLinkPaddleBO.getDiscountable());
//
//    }

}
