package cn.kdan.cloud.pdf.office.payment;

import cn.kdan.cloud.pdf.office.api.payment.bo.CreatSubscriptionsPaypalBO;
import cn.kdan.cloud.pdf.office.api.payment.bo.CreatSubscriptionsResultPaypalBO;
import cn.kdan.cloud.pdf.office.api.payment.bo.GeneratePayLinkPaddleBO;
import cn.kdan.cloud.pdf.office.api.payment.constant.UserAction;
import cn.kdan.cloud.pdf.office.api.payment.paypal.ApplicationContext;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Money;
import cn.kdan.cloud.pdf.office.api.payment.paypal.PayerName;
import cn.kdan.cloud.pdf.office.api.payment.paypal.SubscriberRequest;
import cn.kdan.cloud.pdf.office.common.utils.JsonUtils;
import cn.kdan.cloud.pdf.office.payment.client.PaypalClient;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@SpringBootTest
public class PayPalTest {

    @Autowired
    private PaypalClient paypalClient;

    @Test
    public void creatS(){
        CreatSubscriptionsPaypalBO creatSubscriptionsBO = new CreatSubscriptionsPaypalBO();

        Money shippingAmount = new Money();
        shippingAmount.setCurrency_code("USD");
        shippingAmount.setValue("0.00");

        SubscriberRequest subscriberRequest = new SubscriberRequest();
        subscriberRequest.setName(PayerName.builder().given_name("鹏辉").surname("王").build());
        subscriberRequest.setEmailAddress("ddfme123@163.com");

        ApplicationContext applicationContext = new ApplicationContext();
        applicationContext.setBrand_name("KdanMobeil");
        applicationContext.setLocale("zh-CN");
//        applicationContext.setShipping_preference("");
        applicationContext.setUser_action(UserAction.SUBSCRIBE_NOW);
        applicationContext.setReturn_url("https://www.baidu.com");
        applicationContext.setCancel_url("https://www.bilibili.com");
        creatSubscriptionsBO.setPlan_id("P-6W630457666689946MO76NVI");
        creatSubscriptionsBO.setShipping_amount(shippingAmount);
        creatSubscriptionsBO.setSubscriber(subscriberRequest);

        creatSubscriptionsBO.setApplication_context(applicationContext);
        CreatSubscriptionsResultPaypalBO resultBO = paypalClient.creatSubscriptions(creatSubscriptionsBO);
        System.out.println(resultBO);
    }

    @Test
    public void getSInfo(){
        CreatSubscriptionsResultPaypalBO subscriptionInfo = paypalClient.getSubscriptionInfo("I-S8EXDUY8BYLF");
        System.out.println(JsonUtils.getJsonString(subscriptionInfo));
    }

    public static void main(String[] args) {
        GeneratePayLinkPaddleBO generatePayLinkPaddleBO = new GeneratePayLinkPaddleBO();
//        generatePayLinkPaddleBO.setDiscountable(true);
        System.out.println(generatePayLinkPaddleBO.getDiscountable());

    }

}
