package cn.kdan.cloud.pdf.office.website;

import cn.kdan.cloud.pdf.office.api.payment.annotation.EnablePaymentApiClient;
import cn.kdan.cloud.pdf.office.api.product.annotation.EnableProductApiClient;
import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonFeignExceptionHandle;
import cn.kdan.cloud.pdf.office.common.annotation.EnableControllerExceptionHandler;
import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */

@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.website.mapper")
@EnableCaching
@EnableProductApiClient
@EnablePaymentApiClient
@EnableCommonFeignExceptionHandle
@EnableControllerExceptionHandler
public class PDFOfficeWebsiteApplication {

    public static void main(String[] args) {
        SpringApplication.run(PDFOfficeWebsiteApplication.class, args);
    }

}
