package cn.kdan.cloud.pdf.office.website.service.impl;

import cn.kdan.cloud.pdf.office.api.account.feign.UserApi;
import cn.kdan.cloud.pdf.office.api.payment.feign.SubscriptionApi;
import cn.kdan.cloud.pdf.office.api.payment.vo.SubscriptionSchemeVO;
import cn.kdan.cloud.pdf.office.api.product.enums.PlatformEnum;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.utils.MyDateUtils;
import cn.kdan.cloud.pdf.office.website.service.PaymentService;
import cn.kdan.cloud.pdf.office.website.utils.SecurityUtils;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * @author ComPDFKit-WPH 2023/2/9
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class PaymentServiceImpl implements PaymentService {

    private final SubscriptionApi subscriptionApi;

    private final UserApi userApi;
    @Override
    public ResultMap<SubscriptionSchemeVO> getSubscriptionSchemeInfo(Integer platform) {
        String userId = SecurityUtils.getUserId();
        return subscriptionApi.getSubscriptionSchemeInfo(userId, platform);
    }

    @Override
    public LocalDateTime getSubscriptionEndDate(Integer platform) {
        String userId = SecurityUtils.getUserId();
        return MyDateUtils.dateToLocalDateTime(subscriptionApi.getSubscriptions(userId,platform).getResult().getEndDate());
    }


}
