package cn.kdan.cloud.pdf.office.product.service;

import cn.kdan.cloud.pdf.office.api.product.dto.ProductListDTO;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductPriceVo;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductVO;
import cn.kdan.cloud.pdf.office.product.entity.Product;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-01-28
 */
public interface ProductService extends IService<Product> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<ProductVO> page(ProductListDTO query);

    /**
     * 获取产品价格
     *
     * @param productId 产品id
     * @param userId userId
     * @return 价格
     */
    ProductPriceVo getProductPrice(String productId,String userId);

    /**
     * 通过id 获取产品信息
     *
     * @param productId id
     * @return Product
     */
    ProductVO getProduct(String productId);

    /**
     * 获取新用户专用活动
     *
     * @param appId appId
     * @return 新用户专用活动
     */
    List<ProductVO> getNewUserProduct(String appId);
}